#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l[100000],q,a,b,c=0;
    cin>>n;
    for (int i=0;i<n;i++){
        cin>>l[i];
    }
    cin>>q;
    for (int i=0;i<q;i++){
            c=0;
        cin>>a>>b;
        for(int j=a-1;j<b-1;j++){
            if(l[j]>l[j+1])c++;
            if (c>1)break;
        }
        if(c<2){
                cout<<"DA"<< endl;}
        else {cout<<"NE"<< endl;}
    }
    return 0;
}